Get zones
curl --request GET \
--url https://api.sandbox.usenash.com/v1/zones \
--header 'Authorization: Bearer <token>'{
"zones": [
{
"id": "zone_01234567890123456789",
"name": "Zone 1",
"externalId": "ext_01234567890123456789",
"portalUrl": "https://portal.usenash.com/settings/zones/zone_01234567890123456789",
"coverageArea": {
"cities": [
"San Francisco"
],
"cityZipcodes": [],
"countries": [],
"id": "coa_01234567890123456789",
"states": [],
"zipCodes": [
"94114"
]
},
"storeLocations": [
{
"blackoutDates": [],
"email": "",
"externalId": "ext_01234567890123456789",
"firstName": "Steve",
"id": "stl_01234567890123456789",
"lastName": "Kerr",
"location": {
"address": "120 E 34th St, New York, NY 10016, USA",
"addressCity": "New York",
"addressCountry": "US",
"addressFirstLine": "120 E 34th St",
"addressSecondarynumber": null,
"addressState": "NY",
"addressZip": "10016",
"lat": 40.7463656,
"lng": -73.9803215
},
"name": "10392",
"operatingHours": {
"friday": {
"active": true,
"shifts": []
},
"monday": {
"active": true,
"shifts": []
},
"saturday": {
"active": true,
"shifts": []
},
"sunday": {
"active": true,
"shifts": []
},
"thursday": {
"active": true,
"shifts": []
},
"tuesday": {
"active": true,
"shifts": []
},
"wednesday": {
"active": true,
"shifts": []
}
},
"phoneNumber": "+16132525710",
"pickupInstructions": "",
"prepTimeMinutes": null,
"tags": []
}
],
"storeLocationAssociations": [
{
"endDate": "2025-01-01",
"startDate": "2024-01-01",
"storeLocationId": "stl_01234567890123456789"
}
],
"zoneRestrictions": [
{
"id": "res_01234567890123456789",
"name": "Zone Restriction 1"
}
],
"tags": [
"service:rapid",
"franchise_location"
],
"zoneMetadata": {
"key": "value"
},
"isDeleted": false
}
]
}Store Locations & Zones
Get zones
List zones for the organization with pagination. Use size and offset parameters to paginate. Optionally include deleted zones with is_deleted.
GET
/
v1
/
zones
Get zones
curl --request GET \
--url https://api.sandbox.usenash.com/v1/zones \
--header 'Authorization: Bearer <token>'{
"zones": [
{
"id": "zone_01234567890123456789",
"name": "Zone 1",
"externalId": "ext_01234567890123456789",
"portalUrl": "https://portal.usenash.com/settings/zones/zone_01234567890123456789",
"coverageArea": {
"cities": [
"San Francisco"
],
"cityZipcodes": [],
"countries": [],
"id": "coa_01234567890123456789",
"states": [],
"zipCodes": [
"94114"
]
},
"storeLocations": [
{
"blackoutDates": [],
"email": "",
"externalId": "ext_01234567890123456789",
"firstName": "Steve",
"id": "stl_01234567890123456789",
"lastName": "Kerr",
"location": {
"address": "120 E 34th St, New York, NY 10016, USA",
"addressCity": "New York",
"addressCountry": "US",
"addressFirstLine": "120 E 34th St",
"addressSecondarynumber": null,
"addressState": "NY",
"addressZip": "10016",
"lat": 40.7463656,
"lng": -73.9803215
},
"name": "10392",
"operatingHours": {
"friday": {
"active": true,
"shifts": []
},
"monday": {
"active": true,
"shifts": []
},
"saturday": {
"active": true,
"shifts": []
},
"sunday": {
"active": true,
"shifts": []
},
"thursday": {
"active": true,
"shifts": []
},
"tuesday": {
"active": true,
"shifts": []
},
"wednesday": {
"active": true,
"shifts": []
}
},
"phoneNumber": "+16132525710",
"pickupInstructions": "",
"prepTimeMinutes": null,
"tags": []
}
],
"storeLocationAssociations": [
{
"endDate": "2025-01-01",
"startDate": "2024-01-01",
"storeLocationId": "stl_01234567890123456789"
}
],
"zoneRestrictions": [
{
"id": "res_01234567890123456789",
"name": "Zone Restriction 1"
}
],
"tags": [
"service:rapid",
"franchise_location"
],
"zoneMetadata": {
"key": "value"
},
"isDeleted": false
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The size of the zones to return.
The offset of the zones to return.
Whether to return deleted zones.
Response
OK
Response for list zones.
Show child attributes
Show child attributes
Was this page helpful?
⌘I